<template>
  <div>
    <div :class="backgroundAuth" @click="hideRegister"></div>
    <div class="dialog-s" v-if="authType === 'register'">
      <h2>GraffSound</h2>
      <h2>
        Sign up for a free <br />
        GraffSound account
      </h2>
      <br />
      <a-input
        class="username-input"
        size="large"
        ref="userNameInput"
        v-model="userMail"
        placeholder="Email or username"
      >
        <a-icon slot="suffix" type="mail" /> </a-input
      ><br /><br />
      <a-input-password class="password-input" size="large" placeholder="Password" v-model="userPwd"/><br /><br />
      <a-input
        class="username-input"
        size="large"
        ref="userNameInput"
        v-model="userName"
        placeholder="What should we call you?"
      >
        <a-icon slot="suffix" type="user" /> </a-input
      ><br /><br />
      <a class="continue" href="#" @click="continueRegister">CONTINUE</a><br />
      <div style="margin-top: 15px; margin-bottom: 15px">
        <span class="line-or" style="text-align: center; color: #ffffff; margin-top: 10px">OR</span>
      </div>
      <div>
        <a class="sign-facebook" href="#" @click="hideRegister">
          <a-icon class="icon-btn-login" type="facebook" />
          Sign up with Facebook
        </a>
      </div>
      <div style="margin-top: 10px">
        <span style="color: #525252; font-weight: 600">Already on GraffSound? </span>
        <b style="text-align: center; color: #ffffff; cursor: pointer;" @click="openLogin">Login</b>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    authType: String
  },
  data() {
    return {
      userName: '',
      userPwd: '',
      userMail: ''
    }
  },
  methods: {
    hideRegister() {
      this.$emit("hideRegister");
    },
    continueRegister() {
      if (!this.userName || !this.userPwd || !this.userMail) return;

      this.$emit("continueRegister", {mail: this.userMail, name: this.userName, pwd: this.userPwd});
    },
    openLogin() {
      this.$emit("openLogin");
    }
  },
  computed: {
    backgroundAuth: function() {
      return this.authType === 'register' ? "background-auth-register" : "";
    }
  }
};
</script>

<style scoped>
.background-auth-register {
  width: 100%;
  height: 100%;
  background: #000000cc;
  z-index: 999;
  position: absolute;
}
.dialog-s {
  width: 420px;
  height: 600px;
  max-height: 90vh;
  border-radius: 10px;
  background-color: #000000;
  position: fixed;
  color: #fff;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 20px;
  text-align: center;
  z-index: 9999;
}
.dialog-continue {
  width: 350px;
  height: 600px;
  border-radius: 5px;
  background-color: #000000;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 20px;
  text-align: center;
  z-index: 99999;
}
.login {
  background: #ffffff;
  padding-top: 10px;
  padding-bottom: 10px;
  display: block;
  border-radius: 10px;
  color: #000000;
  font-weight: bold;
}
.username-input >>> input {
  background: #646464 !important;
  border: unset;
  color: #fff;
}
.password-input >>> input {
  background: #646464 !important;
  border: unset;
  color: #fff;
}
.ant-input-suffix i {
  color: #fff;
  font-size: 14px;
}
.text-left {
  text-align: left;
  margin: 10px 0;
}
.sign-facebook {
  width: 100%;
  display: inline-block;
  padding: 10px 0;
  border: 1px solid #fff;
  border-radius: 25px;
  font-weight: 600;
  color: #fff;
}
.login-social .login-google {
  width: 100%;
  display: inline-block;
  padding: 10px 0;
  border: 1px solid #fff;
  border-radius: 25px;
  font-weight: 600;
  margin-top: 15px;
  color: #fff;
}
.login-facebook .icon-btn-login {
  position: absolute;
  left: 25px;
  top: 13px;
  font-size: 18px;
}
.login-google .icon-btn-login {
  position: absolute;
  left: 25px;
  top: 28px;
  font-size: 18px;
}
.line-or::before {
  content: "";
  width: 30%;
  border-bottom: 1px solid #fff;
  display: inline-block;
  content: "";
  border-top: 0.3rem solid black;
  transform: translateY(-0.3rem);
  position: absolute;
  left: 38px;
  margin-top: 10px;
}
.line-or::after {
  content: "";
  width: 30%;
  border-bottom: 1px solid #fff;
  display: inline-block;
  content: "";
  border-top: 0.3rem solid black;
  transform: translateY(-0.3rem);
  position: absolute;
  right: 38px;
  margin-top: 10px;
}
.remember-me {
  margin-bottom: 20px;
}
.text-while {
  color: #fff;
}
.re-me {
  text-align: left;
}
.re-me span {
  font-weight: 600;
}
.switch {
  text-align: right;
}
.switch .ant-switch-checked {
  background-color: #0c9f25;
}
.continue {
  width: 100%;
  height: 50px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 25px;
  border: 1px solid #0c9f25;
  color: #fff;
  font-weight: bold;
  background: #0c9f25;
}
.continue:hover {
  color: #fff;
  opacity: 0.8;
  transition: 0.3s;
}
@media only screen and (max-width: 768px) {
  .dialog-s {
    width: 350px;
    height: 650px;
    border-radius: 5px;
    background-color: #000000;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 20px;
    text-align: center;
  }
  .login {
    background: #ffffff;
    padding-top: 10px;
    padding-bottom: 10px;
    display: block;
    border-radius: 10px;
    color: #000000;
    font-weight: bold;
  }
}
</style>
